std::messages(3)

NAME
std::messages -

SYNOPSIS

Inherits locale::facet, and messages_base.

Inherited by messages_byname.

Detailed Description

  template<typename _CharT> class std::messages< _CharT >
This facet encapsulates the code to retrieve messages from message catalogs. The only thing defined by the standard for this facet is the interface. All underlying functionality is implementation-defined.

This library currently implements 3 versions of the message facet. The first version (gnu) is a wrapper around gettext, provided by libintl. The second version (ieee) is a wrapper around catgets. The final version (default) does no actual translation. These implementations are only provided for char and wchar_t instantiations.

The messages template uses protected virtual functions to provide the actual results. The public accessors forward the call to the virtual functions. These virtual functions are hooks for developers to implement the behavior they require from the messages facet.

Definition at line 4258 of file locale_facets.h.

  Public Types
typedef int catalog

typedef _CharT char_type
typedef basic_string< _CharT > string_type

  Public Member Functions
void close (catalog __c) const
template<> wstring do_get (catalog, int, int, const wstring &) const
template<> string do_get (catalog, int, int, const string &) const
string_type get (catalog __c, int __set, int __msgid, const string_type &__s) const
messages (__c_locale __cloc, const char *__s, size_t __refs=0)
messages (size_t __refs=0)
catalog open (const basic_string< char > &, const locale &, const char *) const
catalog open (const basic_string< char > &__s, const locale &__loc) const

  Static Public Attributes
static locale::id id

  Protected Member Functions
string_type _M_convert_from_char (char *) const
char * _M_convert_to_char (const string_type &__msg) const
virtual void do_close (catalog) const
virtual string_type do_get (catalog, int, int, const string_type &__dfault) const
virtual catalog do_open (const basic_string< char > &, const locale &) const
virtual ~messages ()

  Static Protected Member Functions
static __c_locale _S_clone_c_locale (__c_locale &__cloc)
static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale _S_get_c_locale ()
static const char * _S_get_c_name ()

  Protected Attributes
__c_locale _M_c_locale_messages
const char * _M_name_messages

  Friends
class locale::_Impl

Member Typedef Documentation

  typedef _CharT char_type

Public typedefs.

Reimplemented in messages_byname.

Definition at line 4264 of file locale_facets.h.

  typedef basic_string<_CharT> string_type

Public typedefs.

Reimplemented in messages_byname.

Definition at line 4265 of file locale_facets.h.

Constructor & Destructor Documentation

  messages (size_t __refs = 0) [explicit]

Constructor performs initialization.

This is the constructor provided by the standard.

Parameters:
    refs Passed to the base facet class.

  messages (__c_locale __cloc, const char * __s, size_t __refs = 0) [explicit]

Internal constructor. Not for general use.

This is a constructor for use by the library itself to set up new locales.

Parameters:
    cloc The 'C' locale.
    s The name of a locale.
    refs Refcount to pass to the base class.

  virtual ~messages () [protected, virtual]

Destructor.

Member Data Documentation

  locale::id id [static]

Numpunct facet id.

Definition at line 4276 of file locale_facets.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.